Get extended finder view items (paginated)
curl --request POST \
--url https://api.example.com/api/core/sharepoint/finder_view/extend \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"sync_setting_id": "<string>",
"item_to_extend": {
"id": "<string>",
"site_id": "<string>",
"name": {
"en": "<string>",
"de": "<string>",
"es": "<string>",
"fr": "<string>",
"it": "<string>",
"nl": "<string>",
"pl": "<string>",
"pt": "<string>",
"sv": "<string>"
},
"status": "not_selected",
"type": "SitePagesItemStructure"
},
"selection_state_check_needed": true,
"user_id": "<string>",
"single_page": true,
"page_size": 123,
"page_token": "<string>"
}
'import requests
url = "https://api.example.com/api/core/sharepoint/finder_view/extend"
payload = {
"sync_setting_id": "<string>",
"item_to_extend": {
"id": "<string>",
"site_id": "<string>",
"name": {
"en": "<string>",
"de": "<string>",
"es": "<string>",
"fr": "<string>",
"it": "<string>",
"nl": "<string>",
"pl": "<string>",
"pt": "<string>",
"sv": "<string>"
},
"status": "not_selected",
"type": "SitePagesItemStructure"
},
"selection_state_check_needed": True,
"user_id": "<string>",
"single_page": True,
"page_size": 123,
"page_token": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
sync_setting_id: '<string>',
item_to_extend: {
id: '<string>',
site_id: '<string>',
name: {
en: '<string>',
de: '<string>',
es: '<string>',
fr: '<string>',
it: '<string>',
nl: '<string>',
pl: '<string>',
pt: '<string>',
sv: '<string>'
},
status: 'not_selected',
type: 'SitePagesItemStructure'
},
selection_state_check_needed: true,
user_id: '<string>',
single_page: true,
page_size: 123,
page_token: '<string>'
})
};
fetch('https://api.example.com/api/core/sharepoint/finder_view/extend', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"items": [
{
"id": "<string>",
"name": {
"en": "<string>",
"de": "<string>",
"es": "<string>",
"fr": "<string>",
"it": "<string>",
"nl": "<string>",
"pl": "<string>",
"pt": "<string>",
"sv": "<string>"
},
"expandable": true,
"selectable": true,
"ingestible": true,
"status": "not_selected",
"mime_type": "<string>"
}
],
"next_page_token": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}sharepoint
Get extended finder view items (paginated)
POST
/
api
/
core
/
sharepoint
/
finder_view
/
extend
Get extended finder view items (paginated)
Authorizations
BearerAuthAuthorizationProvider
Bearer token authentication. Format: 'Bearer '
Body
application/json
- SitePagesItemStructure
- SitePagesStructure
- LooseFilesStructure
- DriveItemStructure
- DriveStructure
- SiteStructure
Show child attributes
Show child attributes
Was this page helpful?
⌘I

